import { IsString, MaxLength, MinLength } from "class-validator";
import { ApiProperty } from '@nestjs/swagger';

export class CreateGroupDto {
	@ApiProperty({
		description: "Nom unique.",
		example: "Numérique en communs"
	})
	@IsString()
	@MinLength(4)
	@MaxLength(64)
	groupName: string;
}
