import { StreamableFile } from "@nestjs/common";
import { GuessedFile } from "magic-bytes.js/dist/model/tree";

export interface IFileInformation {
	fileDisplayName: string;
	fileName: string;
	fileChecksum: string;
	isDocumentation: boolean;
	fileType: GuessedFile;
	fileSize: number;
}

export interface IFileWithInformation<AdditionalData> {
	stream: StreamableFile;
	info: IFileInformation;
	additionalData?: AdditionalData;
}
